#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t;
    cin>>t;
    for(int i=0;i<t;i++)
    {
        int n,m,k;
        cin>>n>>m>>k; /// n - broj ucenika m - broj bananica k - broj grupa
        if(k==1)
        {
            if(n*(n+1)/2 > m) cout<<"Nie"<<endl;
            else cout<<"Tak"<<endl;
        }
        else if(n==3)
        {
            if(k==3)
            {
                if(m>=3) cout<<"Tak"<<endl;
                else cout<<"Nie"<<endl;
            }
            if(k==2)
            {
                if(m>=4) cout<<"Tak"<<endl;
                else cout<<"Nie"<<endl;
            }
            else
            {
                if(m>=6) cout<<"Tak"<<endl;
                else cout<<"Nie"<<endl;
            }
        }
    }
    return 0;
}